# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/lab7.cache/wt} [current_project]
set_property parent.project_path {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/lab7.xpr} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
read_verilog -library xil_defaultlib {
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/frequency_ctrl.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/onepulse.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/debounce.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/PWM_gen.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/PlayerCtrl.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/Music2.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/Music.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/lab7.srcs/sources_1/new/lab7.v}
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc {{C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/constraints.xdc}}
set_property used_in_implementation false [get_files {{C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab7/lab7/constraints.xdc}}]


synth_design -top lab7 -part xc7a35tcpg236-1


write_checkpoint -force -noxdef lab7.dcp

catch { report_utilization -file lab7_utilization_synth.rpt -pb lab7_utilization_synth.pb }
